# Projet SC : Caméra IP connectée
> le lien vers le wiki du projet est : [lien vers le wiki](http://projets-ima.plil.net/mediawiki/index.php?title=Projet_IMA3_P4,_2016/2017,_TD1)

## Utilisation de la caméra IP
Voici les étapes à suivres pour utiliser notre caméra IP. Pour toute question, il est possible d'envoyer un mail à thomas.hubert@polytech-lille.net

### Mise sous tension du système
Il faut d'abord alimenter les deux cartes. Il est important de d'abord mettre l'arduino sous tension, puis le raspberry, sinon l'arduino va s'alimenter via la liaison série,et risque de débiter trop de courant sur le raspberry.

### Connection à un réseau WIFI
La première étape après la mise sous tension est de connecter le raspberry sur un réseau local, soit par cable, soit par wifi. Une fois cela fait, il est important de trouver l'adresse IP du raspberry. Pour s'y connecter, l'identifiant est `pi` et le mot de passe est `raspberry`

### Edition du .html
Notre site est statique, il faut donc le modifier si on change d'IP. Pour ce faire, il faut accéder à `/var/www/index.html` et changer dans les adresses `'ws://localhost:9000'` et `http://localhost:8081/?action=stream"` l'adresse ip, ici `localhost` par l'adresse ip du raspberry.

### Accès au site
Pour accéder au site de contrôle des servos, et de visualisation du stream, il faudra se connecter à l'adresse `ip-du-raspberry:8029`